var pfOpenNewTab;
var pfBackground;
var group;
var current;
var fore;
var back;

var pfGoModifiers;
var pfSearchModifiers;
var gc;
var gs;
var ga;
var gm;
var gl;
var sc;
var ss;
var sa;
var sm;
var sl;

function onceLoad() {
    // tab behavior - declare
    pfOpenNewTab = document.getElementById('pgOpenNewTab');
    pfBackground = document.getElementById('pgBackgroundTab');
    
    group = document.getElementById('rgTabBehavior');
    current = document.getElementById('rdCurrent');
    fore = document.getElementById('rdNewFore');
    back = document.getElementById('rdNewBack');
    
    // tab behavior - init
    if (pfOpenNewTab.value) {
        if (pfBackground.value) {
            group.selectedItem = back;
        } else {
            group.selectedItem = fore;
        }
    } else {
        group.selectedItem = current;
    }
    
    // key - declare
    pfGoModifiers = document.getElementById('pgGoAccelKeys');
    pfSearchModifiers = document.getElementById('pgSearchAccelKeys');
    
    gc = document.getElementById('cbGoAccel-Ctrl');
    gs = document.getElementById('cbGoAccel-Shift');
    ga = document.getElementById('cbGoAccel-Alt');
    gm = document.getElementById('cbGoAccel-Meta');
    gl = document.getElementById('cbGoAccel-Accel');
    
    sc = document.getElementById('cbSearchAccel-Ctrl');
    ss = document.getElementById('cbSearchAccel-Shift');
    sa = document.getElementById('cbSearchAccel-Alt');
    sm = document.getElementById('cbSearchAccel-Meta');
    sl = document.getElementById('cbSearchAccel-Accel');

    // key - init
    if (pfGoModifiers.value.match('control'))
        gc.checked = true;
    if (pfGoModifiers.value.match('shift'))
        gs.checked = true;
    if (pfGoModifiers.value.match('alt'))
        ga.checked = true;
    if (pfGoModifiers.value.match('meta'))
        gm.checked = true;
    if (pfGoModifiers.value.match('accel'))
        gl.checked = true;
    
    if (pfSearchModifiers.value.match('control'))
        sc.checked = true;
    if (pfSearchModifiers.value.match('shift'))
        ss.checked = true;
    if (pfSearchModifiers.value.match('alt'))
        sa.checked = true;
    if (pfSearchModifiers.value.match('meta'))
        sm.checked = true;
    if (pfSearchModifiers.value.match('accel'))
        sl.checked = true;
}

function onceAccept() {
    // tab behavior - save
    if (current.selected)
        pfOpenNewTab.valueFromPreferences = false;
    else {
        pfOpenNewTab.valueFromPreferences = true;

        if (back.selected)
            pfBackground.valueFromPreferences = true;
        else // fore selected
            pfBackground.valueFromPreferences = false;
    }
    
    // key - save
    var tmp = "";
    if (gl.checked)
        tmp += 'accel ';
    if (gc.checked)
        tmp += 'control ';
    if (gs.checked)
        tmp += 'shift ';
    if (ga.checked)
        tmp += 'alt ';
    if (gm.checked)
        tmp += 'meta ';
    pfGoModifiers.valueFromPreferences = tmp;
    
    tmp = "";
    if (sl.checked)
        tmp += 'accel ';
    if (sc.checked)
        tmp += 'control ';
    if (ss.checked)
        tmp += 'shift ';
    if (sa.checked)
        tmp += 'alt ';
    if (sm.checked)
        tmp += 'meta ';
    pfSearchModifiers.valueFromPreferences = tmp;
}
